Minimal service layer for a bot.

### Hierarchy

- GBMinService

## Index

### Constructors

- constructor

### Properties

- conversationalService
- core
- corePackage
- deployFolder
- deployer

### Methods

- buildMin
- deployPackages

## Constructors

### constructor

- new GBMinService(core: GBCoreService, conversationalService: GBConversationalService, deployer: GBDeployer): GBMinService

- - Defined in deploy/core.gbapp/services/GBMinService.ts:70

  Static iniatialization of minimal instance.

  #### Parameters

  - ##### core: GBCoreService

    Basic database services to identify instance, for example.

  - ##### conversationalService: GBConversationalService

  - ##### deployer: GBDeployer

  #### Returns GBMinService

## Properties

### conversationalService

conversationalService: GBConversationalService

- Defined in deploy/core.gbapp/services/GBMinService.ts:66

### core

core: GBCoreService

- Defined in deploy/core.gbapp/services/GBMinService.ts:65

### corePackage

corePackage: string = "core.gbai"

- Defined in deploy/core.gbapp/services/GBMinService.ts:70

### deployFolder

deployFolder: string = "deploy"

- Defined in deploy/core.gbapp/services/GBMinService.ts:69

### deployer

deployer: GBDeployer

- Defined in deploy/core.gbapp/services/GBMinService.ts:67

## Methods

### buildMin

- buildMin(cb: GBServiceCallback<GBMinInstance>, server: any, appPackages: Array<IGBPackage>): void

- - Defined in deploy/core.gbapp/services/GBMinService.ts:90

  Constructs a new minimal instance for each bot.

  #### Parameters

  - ##### cb: GBServiceCallback<GBMinInstance>

  - ##### server: any

  - ##### appPackages: Array<IGBPackage>

  #### Returns void

### deployPackages

- deployPackages(core: IGBCoreService, server: any, appPackages: Array<IGBPackage>, sysPackages: Array<IGBPackage>): Promise<Object>

- - Defined in deploy/core.gbapp/services/GBMinService.ts:284

  Performs package deployment in all .gbai or default.

  #### Parameters

  - ##### core: IGBCoreService

  - ##### server: any

  - ##### appPackages: Array<IGBPackage>

  - ##### sysPackages: Array<IGBPackage>

  #### Returns Promise<Object>

Generated using TypeDoc